Bug 809445 - Kernel 3.3 lockup
Kernel 3.3 lockup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 07:58 EDT by jean-pierre cartal
Modified: 2012-11-14 10:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:07:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jean-pierre cartal 2012-04-03 07:58:00 EDT
Description of problem:
Kernel 3.3 (3.3.0-8 and 3.3.0-4) makes my machine hangs once or twice a day.
No error/warning in log files, I've enabled the sysrq key, but I did not manage to get more informations, just reboot (sysrq + b).

I did not notice any particular behaviour or activity when this happened (it happened while screensaver was running and also while working) 

Version-Release number of selected component (if applicable):
3.3.0-4 and 3.3.0-8

How reproducible:
Once or twice a day during normal usage

Steps to Reproduce:
1. Nothing special, just running the box.
2.
3.
  
Actual results:
Machine is freezed, no response.

Expected results:
Running smoothly.

Additional info:
Comment 1 Josh Boyer 2012-04-03 15:57:39 EDT
Can you try installing and booting the kernel-debug build?  Perhaps that will provide a bit more information.

Also, when it hangs can you ssh into the machine?  If it's responding to sysrq-b, you might have luck getting in via ssh and can then see if there is anything in dmesg or /var/log/messages.
Comment 2 jean-pierre cartal 2012-04-04 03:24:01 EDT
I installed the kernel-debug as requested however I was not able to have it work properly.
I booted it 3 times in a row and got 3 lockups, twice before the X display manager appeared (but X was starting) and the last time I managed to authenticate but my X session was not fully started when it hung.
I was not able to have the sysrq work at all with this kernel (even the sysrq+b command that was working previously).

I'm back to the standard kernel now and will try to ssh to the machine next time it hangs and let you informed.

Regards.
Comment 3 jean-pierre cartal 2012-04-05 08:51:21 EDT
I got 2 more freezes since yesterday, I tried to access the box while it was frozen but no luck...

Is there anything I can do to get more infos on this issue ?

Regards.
Comment 4 jean-pierre cartal 2012-04-06 03:24:54 EDT
I made a few more tests this morning, here are a few things that might be of interest :
1) I get the following message when kernel starts (both 3.2 and 3.3) : 
sdhci-pci 0000:14:00.1: Invalid iomem size. You may experience problems.

2) When booting debug kernel in single mode it does not seem to freeze, but going from there to level 2 or 3 make the kernel freeze within a few minutes (< 5). So it seems that the issue is not X related.

3) I made a test where I booted to level 2 and left a top command running on a tty, and when the kernel "froze" I noticed that the top command was still running but very very slow, it would update every 3 minutes instead of every 5 seconds.

Regards.
Comment 5 jean-pierre cartal 2012-04-10 09:31:24 EDT
Issue still here with kernel version 3.3.1-2
Comment 6 jean-pierre cartal 2012-04-11 10:42:49 EDT
Still happening with kernel 3.3.1-3
Comment 7 jean-pierre cartal 2012-04-23 02:31:02 EDT
Same issue with version 3.3.2-1
Comment 8 jean-pierre cartal 2012-04-24 07:11:12 EDT
I don't know if this is relevant but the issue comes up every ~5h :

Apr 23 08:22:02  kernel: [    0.000000] Linux version 3.3.2-1.fc16.i686.PAE (mockbuild@x86-07.phx2.fedoraproject.org) (gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) ) #1 SMP Sat Apr 14 00:50:11 UTC 2012
Apr 23 13:21:19  kernel: [    0.000000] Linux version 3.3.2-1.fc16.i686.PAE (mockbuild@x86-07.phx2.fedoraproject.org) (gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) ) #1 SMP Sat Apr 14 00:50:11 UTC 2012
Apr 23 18:17:32  kernel: [    0.000000] Linux version 3.3.2-1.fc16.i686.PAE (mockbuild@x86-07.phx2.fedoraproject.org) (gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) ) #1 SMP Sat Apr 14 00:50:11 UTC 2012
Apr 24 07:43:31  kernel: [    0.000000] Linux version 3.3.2-1.fc16.i686.PAE (mockbuild@x86-07.phx2.fedoraproject.org) (gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) ) #1 SMP Sat Apr 14 00:50:11 UTC 2012
Apr 24 12:41:50  kernel: [    0.000000] Linux version 3.3.2-1.fc16.i686.PAE (mockbuild@x86-07.phx2.fedoraproject.org) (gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) ) #1 SMP Sat Apr 14 00:50:11 UTC 2012
Comment 9 jean-pierre cartal 2012-04-27 02:14:34 EDT
Issue still present with kernel 3.3.2-6.
Is there anything I can do track this very annoying issue ?

Regards.
Comment 10 Elfar 2012-04-27 07:59:00 EDT
I have two additional workstations that started randomly freezing a few times
every day after a yum update. For me the problem started after kernel 3.3.1-5.
If I boot from that kernel version I don't get the freezes.

When the computers freeze they become totally unresponsive and unreachable through
the network.

Fedora 16
Intel processors 
x86_64 architecture
Nvidia Quadro 1700 GPU (using kmod-nvidia)
Comment 11 jean-pierre cartal 2012-05-04 07:25:13 EDT
Issue still present for me with kernel version 3.3.4-1
Comment 12 Elfar 2012-05-04 07:38:03 EDT
I have done some more homework and I don't think that my issue is related to the kernel but a driver issue present in the kmod-nvidia package.

A problem for another forum.
Comment 13 Dave Jones 2012-10-23 11:30:56 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 14 Justin M. Forbes 2012-11-14 10:07:27 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.